For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteModelsPricingGet Started
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETHosted agent service health
      • GETGet hosted agent config
      • GETList hosted agents
      • POSTDeploy a hosted agent
      • GETGet a hosted agent
      • PATCHRename a hosted agent
      • DELDestroy a hosted agent
      • POSTStart, stop, or restart a hosted agent
      • POSTMessage a hosted agent
      • POSTChange a hosted agent's model
      • POSTSet who can message a hosted agent
      • GETList hosted agent skills
      • POSTAdd a hosted agent skill
      • DELRemove a hosted agent skill
      • GETList hosted agent connectors
      • POSTAttach a hosted agent connector
      • DELRemove a hosted agent connector
      • GETList hosted agent integrations
      • POSTConnect a hosted agent integration
      • DELDisconnect a hosted agent integration
Logo
WebsiteModelsPricingGet Started
API ReferenceHosted Agents

Remove a hosted agent connector

DELETE
https://api.empiriolabs.ai/v1/hosted-agents/instances/:instance_id/mcp
DELETE
/v1/hosted-agents/instances/:instance_id/mcp
$curl -X DELETE "https://api.empiriolabs.ai/v1/hosted-agents/instances/instance_id/mcp?name=name" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Deleted
1{}
Was this page helpful?
Previous

List hosted agent integrations

Next
Built with

Authentication

AuthorizationBearer

Pass your EmpirioLabs API key as a bearer token. The Anthropic-style x-api-key header is also accepted on every endpoint.

Path parameters

instance_idstringRequired

Query parameters

namestringRequired
The connector name to remove.

Response

Connector removed.